Name:		nyx
Summary:	Command-line monitor for Tor
Version:	2.1.0
Release:	%mkrel 5
License:	GPLv3
Group:		Networking/Other
Url:		https://nyx.torproject.org/
Source:		%{pypi_source}
BuildArch:	noarch
BuildRequires:	python3dist(setuptools)
Provides:	tor-arm = %{version}-%{release}
Obsoletes:	tor-arm < 1.4.5.0-4
Obsoletes:	tor-arm-gui < 1.4.5.0-4
Obsoletes:	tor-arm-devel < 1.4.5.0-4

%description
Nyx is a command-line monitor for Tor. With this you can get detailed real-time
information about your relay such as bandwidth usage, connections, logs, and
much more.

%prep
%autosetup -p1

# drop bundled egg-info
rm -rf nyx.egg-info/

%build
%py3_build

%install
%py3_install

# man pages
install -Dpm644 nyx.1 %{buildroot}%{_mandir}/man1/nyx.1

%files
%license LICENSE
%doc web/nyxrc.sample
%{_bindir}/nyx
%{_mandir}/man1/nyx.1*
%{python3_sitelib}/nyx-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/nyx/


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 2.1.0-5.mga9
+ Revision: 1823989
- Mageia 9 Mass Rebuild

* Mon Feb 28 2022 mrambo3501 <mrambo3501> 2.1.0-4.mga9
+ Revision: 1786732
- rebuild for python-3.10

* Mon Apr 05 2021 wally <wally> 2.1.0-3.mga9
+ Revision: 1713614
- rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 2.1.0-2.mga8
+ Revision: 1541133
- Mageia 8 Mass Rebuild

* Sat Dec 21 2019 wally <wally> 2.1.0-1.mga8
+ Revision: 1469268
- imported package nyx

